##
##  asterisk-ldap.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         asterisk-ldap
Summary:      Asterisk Extension: LDAP Query Function
URL:          http://www.mezzo.net/asterisk/app_ldap.html
Vendor:       Sven Slezak
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        VoIP
License:      GPL
Version:      2.0rc1
Release:      20080323

#   list of sources
Source0:      http://www.mezzo.net/asterisk/app_ldap-%{version}.tgz
Source1:      ldap.conf
Patch0:       asterisk-ldap.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823, make, gcc
PreReq:       OpenPKG, openpkg >= 20060823
BuildPreReq:  asterisk, openldap, libiconv, openssl
PreReq:       asterisk, openldap, libiconv, openssl
AutoReq:      no
AutoReqProv:  no

%description
    This is an extension module for the Asterisk PBX which integrates
    the LDAPget() dialplan function for querying an LDAP directory.

%track
    prog asterisk-ldap = {
        version   = %{version}
        url       = http://www.mezzo.net/asterisk/app_ldap.html
        regex     = app_ldap-(__VER__)\.tgz
    }

%prep
    %setup -q -n app_ldap-%{version}
    %patch -p0

%build
    %{l_make} %{l_mflags} \
        CC="%{l_cc}" \
        CPPFLAGS="%{l_cppflags}" \
        LDFLAGS="%{l_ldflags}"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/asterisk \
        $RPM_BUILD_ROOT%{l_prefix}/lib/asterisk/modules
    %{l_shtool} install -c -m 644 \
        %{SOURCE ldap.conf} $RPM_BUILD_ROOT%{l_prefix}/etc/asterisk/
    %{l_shtool} install -c -m 755 \
        app_ldap.so $RPM_BUILD_ROOT%{l_prefix}/lib/asterisk/modules/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/asterisk/*'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

